Subject: Re: lad I-181

From: Ping Ding <[email-masked]>
Date: Sun, 17 Jul 94 10:41:47 CDT

>   Hi:
>   I called Texas ICF (Immigration Card Facility) and answer machine  
>said
>   that ICF had received my lad's copy 2 of I-181, but need approval  
>copy,
>   copy 3, and I-89.  In CSPA, as I know, approval notice is I-797.  
>Do anyone
>   know what is I-181 and is there anything I can do to help the  
>case?
>
>   Thank you.

By my understanding, I-181 is like an approval letter from local INS.
Your LAD should receive the copy-3 of I-181 and bring it to local INS  
to process I-89. Then the local INS will sent the copy-3 of I-181 and  
I-89 to ICF. That is the normal procedure.

ping